package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 优惠券领取记录对象 et_coupon_claim_log
 *
 * @author qzz
 * @date 2024-08-08
 */
@Data
public class EtCouponClaimLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 领取id */
    private Long claimId;

    /** 区域 */
    @Excel(name = "区域")
    private Long areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 优惠券 */
    @Excel(name = "优惠券")
    private Long couponId;



}
